# vue-cli-koa-srr-template

> A simple Vue.js CLI template for client-side and server-side rendering using a Koa.js 2 server.
>
>Forked from [vue-cli-template](https://github.com/xpepermint/vue-cli-template) and modified to work with Koa2 server.

## Related Projects

* [vue-webpack](https://github.com/xpepermint/vue-webpack): Webpack configuration object generator for Vue.js.
* [vue-builder](https://github.com/xpepermint/vue-builder): Server-side and client-side rendering for Vue.js.

*Express*

* [express-vue-builder](https://github.com/xpepermint/express-vue-builder): Vue.js server-side rendering middleware for Express.js.
* [express-vue-dev](https://github.com/xpepermint/express-vue-dev): Vue.js development server middleware for Express.js.
* [vue-cli-template](https://github.com/xpepermint/vue-cli-template): Server-side and client-side rendering app template for Vue.js and Express.js server.


*Koa2*

* [koa-vue-builder](https://github.com/kristianmandrup/koa-vue-builder): Vue.js server-side rendering middleware for Koa.js.
* [koa-vue-dev](https://github.com/kristianmandrup/koa-vue-dev): Vue.js development server middleware for Koa.js.

### Usage

This is a project template for [vue-cli](https://github.com/vuejs/vue-cli).

``` bash
$ npm install -g vue-cli
$ vue init xpepermint/vue-cli-template my-project
$ cd my-project
$ npm install
$ npm run start
```

### What's Included

- `npm run build`: Builds the application for production.

- `npm run start`: Starts a production http server or a development server with support for client-side rendering, server-side rendering, source maps and hot-reload.

### Tutorials

This template represents a minimal [Vue.js](http://vuejs.org) application setup. Check the [Vue.js Cheatsheet Book](https://xpepermint.gitbooks.io/vue-js-cheatsheet/content/) for further instructions.

## License (MIT)

```
Copyright (c) 2016 Kristian Mandrup <kmandrup@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
```
